<?php
/**
 * Controller to handling get chart
 *
 * @package wp-tube-profit-wiz
 * @author Chris Jenkins
 * @link http://pluginsforyou.com/
 */

if ( ! class_exists( 'IPMTube_Ajax_Getchart' ))
{
    class IPMTube_Ajax_Getchart
    {
        /**
         * Execution save options process
         *
         * @return void
         */
        public function exec()
        {
            $data = array_merge( $_POST, $_GET );
            if ( ! empty( $data['pageid'] ) && ! empty( $data['type'] ))
            {
                $pageid    = absint( $data['pageid'] );
                $type      = apply_filters( 'pre_term_name', $data['type'] );
                $dateStart = false;
                $dateEnd   = false;
                if ( ! empty( $data['start'] ) && ! empty( $data['end'] )) {
                    $timeEnd   = strtotime( $data['end'] );
                    $timeStart = strtotime( $data['start'] );
                    $dateStart = gmdate("Y-m-d", $timeStart);
                    $dateEnd   = gmdate("Y-m-d", $timeEnd);
                }
                $model     = new IPMTube_Model();
                $chart     = array();
                $results   = $model->getStatisticData( $pageid, $type, $dateStart, $dateEnd );

                if ( ! empty( $results )) {
                    foreach( $results as $data ) {
                        $timestamp = strtotime( $data->gdate );
                        $phpdate   = getdate($timestamp);
                        if ( $type == 'ctr' ) {
                            $value = 0;
                            if ( ! empty( $data->click ) && ! empty( $data->view )) {
                                $rate  = 100 * intval($data->click) / intval($data->view);
                                $rate  = round( $rate, 2 );
                                $value = $rate;
                            }
                        } else {
                            $value = (int)$data->value;
                        }
                        $chart[] = array(
                            'value'    => $value,
                            'year'     => $phpdate['year'],
                            'mon'      => $phpdate['mon'] - 1,
                            'day'      => $phpdate['mday'],
                        );
                    }
                }
                if ( $type == 'view' ) {
                    $label = __( 'Views', IPMTUBE_SLUG );
                } elseif ( $type == 'subscribe' ) {
                    $label = __( 'Subscribes', IPMTUBE_SLUG );
                } elseif ( $type == 'popup' ) {
                    $label = __( 'Popup Button Clicks', IPMTUBE_SLUG );
                } elseif ( $type == 'button' ) {
                    $label = __( 'Button Clicks', IPMTUBE_SLUG );
                } else {
                    $label = __( 'Data', IPMTUBE_SLUG );
                }
                echo json_encode( array(
                    'status'            => 1,
                    'labelDate'         => __( 'Date', IPMTUBE_SLUG ),
                    'labelValue'        => $label,
                    'data'              => $chart
                ) );
            } else {

                echo json_encode( array(
                    'status' => 0
                ) );
            }
            die();
        }
    }
}
