<?php
/**
 * Class model
 *
 * @package wp-tube-profit-wiz
 * @author Chris Jenkins
 * @link http://pluginsforyou.com/
 */

if ( ! class_exists( 'IPMTube_Model' )) {

    /**
     * Class for manage post setting
     */
    class IPMTube_Model
    {
        /**
         * Save setting video
         *
         * @param  int $videoId
         * @return void
         */
        public function saveSetting( $videoId )
        {
            $videoId = absint( $videoId );
            $data    = $this->_getSettingData();
            $setting = new IPMTube_Setting( $videoId, '__ipmtube-setting' );
            $result  = $setting->setSettings( $data );
            return $result;
        }

        /**
         * Get setting data
         *
         * @return array
         */
        protected function _getSettingData()
        {
            $setting = array();
            $data    = array_merge( $_POST, $_GET );

            //
            //
            // General
            //
            if ( ! empty( $data['youtube_url'] )) {
                $setting['youtube_url'] = apply_filters( 'pre_link_url', $data['youtube_url'] );
            }
            if ( isset( $data['autoplay'] )) {
                $setting['autoplay'] = apply_filters( 'pre_term_name', $data['autoplay'] );
            }
            if ( isset( $data['start_time'] )) {
                $setting['start_time'] = absint( $data['start_time'] );
            }
            if ( isset( $data['status'] )) {
                $setting['status'] = apply_filters( 'pre_term_name', $data['status'] );
            }

            //
            //
            // Design
            //
            if ( isset( $data['width'] )) {
                $setting['width'] = absint( $data['width'] );
            }
            if ( isset( $data['height'] )) {
                $setting['height'] = absint( $data['height'] );
            }
            if ( isset( $data['padding'] )) {
                $setting['padding'] = absint( $data['padding'] );
            }
            if ( isset( $data['background_image'] )) {
                $setting['background_image'] = absint( $data['background_image'] );
            }
            if ( isset( $data['background_repeat'] )) {
                $setting['background_repeat'] = apply_filters( 'pre_term_name', $data['background_repeat'] );
            }
            if ( isset( $data['background_color'] )) {
                $setting['background_color'] = apply_filters( 'pre_term_name', $data['background_color'] );
            }
            if ( isset( $data['border_width'] )) {
                $setting['border_width'] = absint( $data['border_width'] );
            }
            if ( isset( $data['border_color'] )) {
                $setting['border_color'] = apply_filters( 'pre_term_name', $data['border_color'] );
            }
            if ( isset( $data['border_radius'] )) {
                $setting['border_radius'] = apply_filters( 'pre_term_name', $data['border_radius'] );
            }

            //
            //
            // Popup Design
            //
            if ( isset( $data['popup_width'] )) {
                $setting['popup_width'] = absint( $data['popup_width'] );
            }
            if ( isset( $data['popup_height'] )) {
                $setting['popup_height'] = absint( $data['popup_height'] );
            }
            if ( isset( $data['popup_background_image'] )) {
                $setting['popup_background_image'] = absint( $data['popup_background_image'] );
            }
            if ( isset( $data['popup_background_repeat'] )) {
                $setting['popup_background_repeat'] = apply_filters( 'pre_term_name', $data['popup_background_repeat'] );
            }
            if ( isset( $data['popup_background_color'] )) {
                $setting['popup_background_color'] = apply_filters( 'pre_term_name', $data['popup_background_color'] );
            }
            if ( isset( $data['popup_text_color'] )) {
                $setting['popup_text_color'] = apply_filters( 'pre_term_name', $data['popup_text_color'] );
            }
            if ( isset( $data['popup_border_width'] )) {
                $setting['popup_border_width'] = absint( $data['popup_border_width'] );
            }
            if ( isset( $data['popup_border_color'] )) {
                $setting['popup_border_color'] = apply_filters( 'pre_term_name', $data['popup_border_color'] );
            }
            if ( isset( $data['popup_border_radius'] )) {
                $setting['popup_border_radius'] = apply_filters( 'pre_term_name', $data['popup_border_radius'] );
            }
            if ( isset( $data['popup_font_family'] )) {
                $setting['popup_font_family'] = apply_filters( 'pre_term_name', $data['popup_font_family'] );
            }
            if ( isset( $data['popup_button_style'] )) {
                $setting['popup_button_style'] = apply_filters( 'pre_term_name', $data['popup_button_style'] );
            }
            if ( isset( $data['popup_button_color'] )) {
                $setting['popup_button_color'] = apply_filters( 'pre_term_name', $data['popup_button_color'] );
            }
            if ( isset( $data['popup_button_size'] )) {
                $setting['popup_button_size'] = apply_filters( 'pre_term_name', $data['popup_button_size'] );
            }

            //
            //
            // Top Content
            //
            if ( isset( $data['show_top_content'] )) {
                $setting['show_top_content'] = apply_filters( 'pre_term_name', $data['show_top_content'] );
            }
            if ( isset( $data['top_background_color'] )) {
                $setting['top_background_color'] = apply_filters( 'pre_term_name', $data['top_background_color'] );
            }
            if ( isset( $data['top_border_color'] )) {
                $setting['top_border_color'] = apply_filters( 'pre_term_name', $data['top_border_color'] );
            }
            if ( isset( $data['top_border_width'] )) {
                $setting['top_border_width'] = absint( $data['top_border_width'] );
            }
            if ( isset( $data['top_autohide'] )) {
                $setting['top_autohide'] = apply_filters( 'pre_term_name', $data['top_autohide'] );
            }
            if ( isset( $data['top_close'] )) {
                $setting['top_close'] = apply_filters( 'pre_term_name', $data['top_close'] );
            }

            //Title
            if ( isset( $data['top_show_title'] )) {
                $setting['top_show_title'] = apply_filters( 'pre_term_name', $data['top_show_title'] );
            }
            if ( isset( $data['top_title'] )) {
                $setting['top_title'] = apply_filters( 'single_post_title', $data['top_title'] );
            }
            if ( isset( $data['top_title_font_size'] )) {
                $setting['top_title_font_size'] = apply_filters( 'pre_term_name', $data['top_title_font_size'] );
            }
            if ( isset( $data['top_title_font_family'] )) {
                $setting['top_title_font_family'] = apply_filters( 'pre_term_name', $data['top_title_font_family'] );
            }
            if ( isset( $data['top_title_color'] )) {
                $setting['top_title_color'] = apply_filters( 'pre_term_name', $data['top_title_color'] );
            }

            //Subtitle
            if ( isset( $data['top_show_subtitle'] )) {
                $setting['top_show_subtitle'] = apply_filters( 'pre_term_name', $data['top_show_subtitle'] );
            }
            if ( isset( $data['top_subtitle'] )) {
                $setting['top_subtitle'] = apply_filters( 'single_post_title', $data['top_subtitle'] );
            }
            if ( isset( $data['top_subtitle_font_size'] )) {
                $setting['top_subtitle_font_size'] = apply_filters( 'pre_term_name', $data['top_subtitle_font_size'] );
            }
            if ( isset( $data['top_subtitle_font_family'] )) {
                $setting['top_subtitle_font_family'] = apply_filters( 'pre_term_name', $data['top_subtitle_font_family'] );
            }
            if ( isset( $data['top_subtitle_color'] )) {
                $setting['top_subtitle_color'] = apply_filters( 'pre_term_name', $data['top_subtitle_color'] );
            }

            //Info
            if ( isset( $data['top_show_info'] )) {
                $setting['top_show_info'] = apply_filters( 'pre_term_name', $data['top_show_info'] );
            }
            if ( isset( $data['top_info'] )) {
                $setting['top_info'] = apply_filters( 'single_post_title', $data['top_info'] );
            }
            if ( isset( $data['top_info_font_size'] )) {
                $setting['top_info_font_size'] = apply_filters( 'pre_term_name', $data['top_info_font_size'] );
            }
            if ( isset( $data['top_info_font_family'] )) {
                $setting['top_info_font_family'] = apply_filters( 'pre_term_name', $data['top_info_font_family'] );
            }
            if ( isset( $data['top_info_color'] )) {
                $setting['top_info_color'] = apply_filters( 'pre_term_name', $data['top_info_color'] );
            }

            //Button
            if ( isset( $data['top_show_button'] )) {
                $setting['top_show_button'] = apply_filters( 'pre_term_name', $data['top_show_button'] );
            }
            if ( isset( $data['top_button_label'] )) {
                $setting['top_button_label'] = apply_filters( 'single_post_title', $data['top_button_label'] );
            }
            if ( isset( $data['top_button_style'] )) {
                $setting['top_button_style'] = apply_filters( 'pre_term_name', $data['top_button_style'] );
            }
            if ( isset( $data['top_button_color'] )) {
                $setting['top_button_color'] = apply_filters( 'pre_term_name', $data['top_button_color'] );
            }
            if ( isset( $data['top_button_size'] )) {
                $setting['top_button_size'] = apply_filters( 'pre_term_name', $data['top_button_size'] );
            }
            if ( isset( $data['top_button_font_family'] )) {
                $setting['top_button_font_family'] = apply_filters( 'pre_term_name', $data['top_button_font_family'] );
            }
            if ( isset( $data['top_button_action'] )) {
                $setting['top_button_action'] = apply_filters( 'pre_term_name', $data['top_button_action'] );
            }
            if ( isset( $data['top_button_url'] )) {
                $setting['top_button_url'] = apply_filters( 'pre_link_url', $data['top_button_url'] );
            }

            //Button action optin form
            if ( isset( $data['top_responder_title'] )) {
                $setting['top_responder_title'] = apply_filters( 'single_post_title', $data['top_responder_title'] );
            }
            if ( isset( $data['top_responder_info'] )) {
                $setting['top_responder_info'] = apply_filters( 'single_post_title', $data['top_responder_info'] );
            }
            if ( isset( $data['top_autoresponder_code'] )) {
                $setting['top_autoresponder_code'] = $data['top_autoresponder_code'];
            }
            if ( isset( $data['top_autoresponder_action'] )) {
                $setting['top_autoresponder_action'] = apply_filters( 'pre_link_url', $data['top_autoresponder_action'] );
            }
            if ( isset( $data['top_autoresponder_email'] )) {
                $setting['top_autoresponder_email'] = apply_filters( 'single_post_title', $data['top_autoresponder_email'] );
            }
            if ( isset( $data['top_autoresponder_email_label'] )) {
                $setting['top_autoresponder_email_label'] = apply_filters( 'single_post_title', $data['top_autoresponder_email_label'] );
            }
            if ( isset( $data['top_autoresponder_name'] )) {
                $setting['top_autoresponder_name'] = $data['top_autoresponder_name'];
            }
            if ( isset( $data['top_autoresponder_name_label'] )) {
                $setting['top_autoresponder_name_label'] = apply_filters( 'single_post_title', $data['top_autoresponder_name_label'] );
            }
            if ( isset( $data['top_autoresponder_name_activate'] )) {
                $setting['top_autoresponder_name_activate'] = apply_filters( 'pre_term_name', $data['top_autoresponder_name_activate'] );
            }
            if ( isset( $data['top_autoresponder_form_label'] )) {
                $setting['top_autoresponder_form_label'] = apply_filters( 'pre_term_name', $data['top_autoresponder_form_label'] );
            }
            if ( isset( $data['top_autoresponder_button_text'] )) {
                $setting['top_autoresponder_button_text'] = apply_filters( 'single_post_title', $data['top_autoresponder_button_text'] );
            }
            if ( isset( $data['top_autoresponder_button_style'] )) {
                $setting['top_autoresponder_button_style'] = apply_filters( 'pre_term_name', $data['top_autoresponder_button_style'] );
            }

            //Button action popup
            if ( isset( $data['top_popup_title'] )) {
                $setting['top_popup_title'] = apply_filters( 'single_post_title', $data['top_popup_title'] );
            }
            if ( isset( $data['top_popup_image'] )) {
                $setting['top_popup_image'] = absint( $data['top_popup_image'] );
            }
            if ( isset( $data['top_popup_image_url'] )) {
                $setting['top_popup_image_url'] = apply_filters( 'pre_link_url', $data['top_popup_image_url'] );
            }
            if ( isset( $data['top_popup_info'] )) {
                $setting['top_popup_info'] = apply_filters( 'pre_term_name', $data['top_popup_info'] );
            }
            if ( isset( $data['top_popup_button_label'] )) {
                $setting['top_popup_button_label'] = apply_filters( 'pre_term_name', $data['top_popup_button_label'] );
            }
            if ( isset( $data['top_popup_button_url'] )) {
                $setting['top_popup_button_url'] = apply_filters( 'pre_link_url', $data['top_popup_button_url'] );
            }

            //
            //
            // Bottom Content
            //
            if ( isset( $data['show_bottom_content'] )) {
                $setting['show_bottom_content'] = apply_filters( 'pre_term_name', $data['show_bottom_content'] );
            }
            if ( isset( $data['bottom_background_color'] )) {
                $setting['bottom_background_color'] = apply_filters( 'pre_term_name', $data['bottom_background_color'] );
            }
            if ( isset( $data['bottom_border_color'] )) {
                $setting['bottom_border_color'] = apply_filters( 'pre_term_name', $data['bottom_border_color'] );
            }
            if ( isset( $data['bottom_border_width'] )) {
                $setting['bottom_border_width'] = absint( $data['bottom_border_width'] );
            }
            if ( isset( $data['bottom_autohide'] )) {
                $setting['bottom_autohide'] = apply_filters( 'pre_term_name', $data['bottom_autohide'] );
            }
            if ( isset( $data['bottom_close'] )) {
                $setting['bottom_close'] = apply_filters( 'pre_term_name', $data['bottom_close'] );
            }

            //Title
            if ( isset( $data['bottom_show_title'] )) {
                $setting['bottom_show_title'] = apply_filters( 'pre_term_name', $data['bottom_show_title'] );
            }
            if ( isset( $data['bottom_title'] )) {
                $setting['bottom_title'] = apply_filters( 'single_post_title', $data['bottom_title'] );
            }
            if ( isset( $data['bottom_title_font_size'] )) {
                $setting['bottom_title_font_size'] = apply_filters( 'pre_term_name', $data['bottom_title_font_size'] );
            }
            if ( isset( $data['bottom_title_font_family'] )) {
                $setting['bottom_title_font_family'] = apply_filters( 'pre_term_name', $data['bottom_title_font_family'] );
            }
            if ( isset( $data['bottom_title_color'] )) {
                $setting['bottom_title_color'] = apply_filters( 'pre_term_name', $data['bottom_title_color'] );
            }

            //Subtitle
            if ( isset( $data['bottom_show_subtitle'] )) {
                $setting['bottom_show_subtitle'] = apply_filters( 'pre_term_name', $data['bottom_show_subtitle'] );
            }
            if ( isset( $data['bottom_subtitle'] )) {
                $setting['bottom_subtitle'] = apply_filters( 'single_post_title', $data['bottom_subtitle'] );
            }
            if ( isset( $data['bottom_subtitle_font_size'] )) {
                $setting['bottom_subtitle_font_size'] = apply_filters( 'pre_term_name', $data['bottom_subtitle_font_size'] );
            }
            if ( isset( $data['bottom_subtitle_font_family'] )) {
                $setting['bottom_subtitle_font_family'] = apply_filters( 'pre_term_name', $data['bottom_subtitle_font_family'] );
            }
            if ( isset( $data['bottom_subtitle_color'] )) {
                $setting['bottom_subtitle_color'] = apply_filters( 'pre_term_name', $data['bottom_subtitle_color'] );
            }

            //Info
            if ( isset( $data['bottom_show_info'] )) {
                $setting['bottom_show_info'] = apply_filters( 'pre_term_name', $data['bottom_show_info'] );
            }
            if ( isset( $data['bottom_info'] )) {
                $setting['bottom_info'] = apply_filters( 'single_post_title', $data['bottom_info'] );
            }
            if ( isset( $data['bottom_info_font_size'] )) {
                $setting['bottom_info_font_size'] = apply_filters( 'pre_term_name', $data['bottom_info_font_size'] );
            }
            if ( isset( $data['bottom_info_font_family'] )) {
                $setting['bottom_info_font_family'] = apply_filters( 'pre_term_name', $data['bottom_info_font_family'] );
            }
            if ( isset( $data['bottom_info_color'] )) {
                $setting['bottom_info_color'] = apply_filters( 'pre_term_name', $data['bottom_info_color'] );
            }

            //Button
            if ( isset( $data['bottom_show_button'] )) {
                $setting['bottom_show_button'] = apply_filters( 'pre_term_name', $data['bottom_show_button'] );
            }
            if ( isset( $data['bottom_button_label'] )) {
                $setting['bottom_button_label'] = apply_filters( 'single_post_title', $data['bottom_button_label'] );
            }
            if ( isset( $data['bottom_button_style'] )) {
                $setting['bottom_button_style'] = apply_filters( 'pre_term_name', $data['bottom_button_style'] );
            }
            if ( isset( $data['bottom_button_color'] )) {
                $setting['bottom_button_color'] = apply_filters( 'pre_term_name', $data['bottom_button_color'] );
            }
            if ( isset( $data['bottom_button_size'] )) {
                $setting['bottom_button_size'] = apply_filters( 'pre_term_name', $data['bottom_button_size'] );
            }
            if ( isset( $data['bottom_button_font_family'] )) {
                $setting['bottom_button_font_family'] = apply_filters( 'pre_term_name', $data['bottom_button_font_family'] );
            }
            if ( isset( $data['bottom_button_action'] )) {
                $setting['bottom_button_action'] = apply_filters( 'pre_term_name', $data['bottom_button_action'] );
            }
            if ( isset( $data['bottom_button_url'] )) {
                $setting['bottom_button_url'] = apply_filters( 'pre_link_url', $data['bottom_button_url'] );
            }

            //Button action optin form
            if ( isset( $data['bottom_responder_title'] )) {
                $setting['bottom_responder_title'] = apply_filters( 'single_post_title', $data['bottom_responder_title'] );
            }
            if ( isset( $data['bottom_responder_info'] )) {
                $setting['bottom_responder_info'] = apply_filters( 'single_post_title', $data['bottom_responder_info'] );
            }
            if ( isset( $data['bottom_autoresponder_code'] )) {
                $setting['bottom_autoresponder_code'] = $data['bottom_autoresponder_code'];
            }
            if ( isset( $data['bottom_autoresponder_action'] )) {
                $setting['bottom_autoresponder_action'] = apply_filters( 'pre_link_url', $data['bottom_autoresponder_action'] );
            }
            if ( isset( $data['bottom_autoresponder_email'] )) {
                $setting['bottom_autoresponder_email'] = apply_filters( 'single_post_title', $data['bottom_autoresponder_email'] );
            }
            if ( isset( $data['bottom_autoresponder_email_label'] )) {
                $setting['bottom_autoresponder_email_label'] = apply_filters( 'single_post_title', $data['bottom_autoresponder_email_label'] );
            }
            if ( isset( $data['bottom_autoresponder_name'] )) {
                $setting['bottom_autoresponder_name'] = $data['bottom_autoresponder_name'];
            }
            if ( isset( $data['bottom_autoresponder_name_label'] )) {
                $setting['bottom_autoresponder_name_label'] = apply_filters( 'single_post_title', $data['bottom_autoresponder_name_label'] );
            }
            if ( isset( $data['bottom_autoresponder_name_activate'] )) {
                $setting['bottom_autoresponder_name_activate'] = apply_filters( 'pre_term_name', $data['bottom_autoresponder_name_activate'] );
            }
            if ( isset( $data['bottom_autoresponder_form_label'] )) {
                $setting['bottom_autoresponder_form_label'] = apply_filters( 'pre_term_name', $data['bottom_autoresponder_form_label'] );
            }
            if ( isset( $data['bottom_autoresponder_button_text'] )) {
                $setting['bottom_autoresponder_button_text'] = apply_filters( 'single_post_title', $data['bottom_autoresponder_button_text'] );
            }
            if ( isset( $data['bottom_autoresponder_button_style'] )) {
                $setting['bottom_autoresponder_button_style'] = apply_filters( 'pre_term_name', $data['bottom_autoresponder_button_style'] );
            }

            //Button action popup
            if ( isset( $data['bottom_popup_title'] )) {
                $setting['bottom_popup_title'] = apply_filters( 'single_post_title', $data['bottom_popup_title'] );
            }
            if ( isset( $data['bottom_popup_image'] )) {
                $setting['bottom_popup_image'] = absint( $data['bottom_popup_image'] );
            }
            if ( isset( $data['bottom_popup_image_url'] )) {
                $setting['bottom_popup_image_url'] = apply_filters( 'pre_link_url', $data['bottom_popup_image_url'] );
            }
            if ( isset( $data['bottom_popup_info'] )) {
                $setting['bottom_popup_info'] = apply_filters( 'pre_term_name', $data['bottom_popup_info'] );
            }
            if ( isset( $data['bottom_popup_button_label'] )) {
                $setting['bottom_popup_button_label'] = apply_filters( 'pre_term_name', $data['bottom_popup_button_label'] );
            }
            if ( isset( $data['bottom_popup_button_url'] )) {
                $setting['bottom_popup_button_url'] = apply_filters( 'pre_link_url', $data['bottom_popup_button_url'] );
            }


            //
            //
            // Restricted
            //
            if ( isset( $data['restricted'] )) {
                $setting['restricted'] = apply_filters( 'pre_term_name', $data['restricted'] );
            }
            if ( isset( $data['restricted_message'] )) {
                $setting['restricted_message'] = $data['restricted_message'];
            }
            return $setting;
        }

        /**
         * Get stats
         *
         * @return array
         */
        public function getStats()
        {
            global $wpdb;

            $table = $wpdb->prefix . 'ipmtube_stats';
            $sql   = "
                SELECT *
                FROM `$table`
            ";
            $results = $wpdb->get_row( $sql );
            return $results;
        }

        /**
         * Get stat
         *
         * @param  int $stat_id
         * @return array
         */
        public function getStat( $stat_id )
        {
            global $wpdb;

            $stat_id = absint( $stat_id );
            $table   = $wpdb->prefix . 'ipmtube_stats';
            $sql     = "
                SELECT *
                FROM `$table` WHERE stat_id = %d
            ";
            $query   = $wpdb->prepare( $sql, $stat_id );
            $results = $wpdb->get_row( $query );
            return $results;
        }

        /**
         * Get stat value
         *
         * @param  int    $page_id
         * @param  string $type
         * @return array
         */
        public function getStatValue( $page_id, $type )
        {
            $count = 0;
            if ( $stat = $this->getStatBypage( $page_id )) {
                if ( isset( $stat->$type )) {
                    $count = (int)$stat->$type;
                }
            }
            return $count;
        }

        /**
         * Get stat by page
         *
         * @param  int $page_id
         * @return array
         */
        public function getStatBypage( $page_id )
        {
            global $wpdb;

            $page_id = absint( $page_id );
            $table   = $wpdb->prefix . 'ipmtube_stats';
            $sql     = "
                SELECT
                    SUM( `stat_view` ) AS `view`,
                    SUM( `stat_subscribe` ) AS `subscribe`,
                    SUM( `stat_popup` ) AS `popup`,
                    SUM( `stat_button` ) AS `button`
                FROM `$table` WHERE page_id = %d
            ";
            $query   = $wpdb->prepare( $sql, $page_id );
            $results = $wpdb->get_row( $query );
            return $results;
        }

        /**
         * Get stat by page date
         *
         * @param  int    $page_id
         * @param  string $date
         * @return array
         */
        public function getStatBypageDate( $page_id, $date )
        {
            global $wpdb;

            $page_id = absint( $page_id );
            $table   = $wpdb->prefix . 'ipmtube_stats';
            $sql     = "
                SELECT *
                FROM `$table`
                WHERE page_id = $page_id and stat_date = '$date'
            ";
            $results = $wpdb->get_row( $sql );
            return $results;
        }

        /**
         * Get statistic data
         *
         * @return array
         */
        public function getStatisticData( $page_id, $type, $start = null, $end = null )
        {
            global $wpdb;

            $page_id = absint( $page_id );
            $table   = $wpdb->prefix . 'ipmtube_stats';
            $query   = "
                SELECT
                    DATE_FORMAT(stat_date, '%Y-%m-%d') AS gdate,";
            //Type value
            if ( $type == 'view' ) {
                $query .= 'SUM(stat_view) AS value';
            } elseif ( $type == 'subscribe' ) {
                $query .= 'SUM(stat_subscribe) AS value';
            } elseif ( $type == 'popup' ) {
                $query .= 'SUM(stat_popup) AS value';
            } elseif ( $type == 'button' ) {
                $query .= 'SUM(stat_button) AS value';
            }
            $query .= " FROM $table
                        WHERE page_id = $page_id";

            if ( ! empty( $start ) && ! empty( $end ))
            {
                if ( $start == $end ) {
                    $query .= " AND DATE_FORMAT( stat_date, '%Y-%m-%d' ) = '$start'";
                } else {
                    $query .= " AND stat_date BETWEEN '$start' AND '$end'";
                }
            }
            elseif ( ! empty( $start )) {
                $query .= " AND DATE_FORMAT( stat_date, '%Y-%m-%d' ) = '$start'";
            }
            elseif ( ! empty( $end )) {
                $query .= " AND DATE_FORMAT( stat_date, '%Y-%m-%d' ) = '$end'";
            }
            $query .= " GROUP BY gdate";
            $results = $wpdb->get_results( $query );
            return $results;
        }

        /**
         * Do save statistic
         *
         * @param object $page
         * @param string $type
         * @param int    $count
         * @return void
         */
        public function saveStat( $page, $type, $count = 1 )
        {
            $_types = array(
                'view',
                'subscribe',
                'popup',
                'button'
            );
            $key = 'stat_';
            if ( in_array( $type, $_types )) {
                $key .= $type;
            }
            $date = date( 'Y-m-d 00:00:00' );
            $data = array();
            if ( $stat = $this->getStatBypageDate( $page->ID, $date ))
            {
                $ccount = 0;
                if ( isset( $stat->$key )) {
                    $ccount = $stat->$key;
                }
                $data[$key] = $ccount + $count;
                $this->_updateStat( $stat->stat_id, $data );
            }
            else {
                $data['page_id']   = $page->ID;
                $data['stat_date'] = $date;
                $data[$key]        = $count;
                $this->_insertStat( $data );
            }
        }

        /**
         * Insert statistic data
         *
         * @param array $data
         * @return void
         */
        protected function _insertStat( $data )
        {
            global $wpdb;

            $table  = $wpdb->prefix . 'ipmtube_stats';
            $data   = (array)$data;

            $result = $wpdb->insert( $table, $data );
            if ( $result ) {
                return $wpdb->insert_id;
            }
            return false;
        }

        /**
         * Update statistic data
         *
         * @param int   $id
         * @param array $data
         * @return void
         */
        protected function _updateStat( $id, $data )
        {
            global $wpdb;

            $table  = $wpdb->prefix . 'ipmtube_stats';
            $data   = (array)$data;
            $where  = array(
                'stat_id' => absint( $id )
            );
            $result = $wpdb->update( $table, $data, $where );
            return $result;
        }
    }
}
?>
