<?php
/**
 * Admin main view
 *
 * @package wp-tube-profit-wiz
 * @author Chris Jenkins
 * @link http://pluginsforyou.com/
 */
?>
<div id="ipmtube-manage" class="wrap ipmtube-wrap ipmtube-admin">
  <div class="ipmtube-inner">
    <?php
    if ( $this->video ) {
        $this->title = $this->video->post_title;
        $this->info  = '<i class="ipmtube-fa ipmtube-fa-calendar"></i> Created: ' .
            '<strong>' . mysql2date( 'd F Y, h:i', $this->video->post_date ) . '</strong>';

        $this->view( 'manage/general/header' );
    } else {
        $this->view( 'manage/general/header' );
    }
    $form_action = admin_url( 'admin-ajax.php' ) . '?doajax=1&ipmtube=1&action=update';
    ?>
    <div class="ipmtube-main">
      <div class="ipmtube-main-info"></div>

      <div class="ipmtube-primary">
        <div class="ipmtube-manage-wrap ipmtube-manage-sidebar">
          <form id="<?php echo $this->formId; ?>" class="ipmtube-form-container ipmtube-form" method="post" action="<?php echo $form_action; ?>" enctype="multipart/form-data">
            <input type="hidden" name="video_id" id="ipmtube-value-videoid" value="<?php echo $this->videoId; ?>" />

            <div class="container-fluid container">
              <div class="ipmtube-clear ipmtube-tab">
                <?php
                $this->view( 'manage/main/nav' );
                ?>

                <div class="ipmtube-manage-content">
                  <div class="ipmtube-manage-info">
                    <div class="row">
                      <div class="col-md-6">
                        <div class="ipmtube-tab-title">
                          <i class="ipmtube-fa ipmtube-fa-cogs"></i>
                          <div class="ipmtube-title-text">
                            <h3> <?php _e( 'General', IPMTUBE_SLUG ); ?></h3>
                            <p> <?php _e( 'Basic settings and info of your video page', IPMTUBE_SLUG ); ?></p>
                          </div>
                        </div>
                      </div>
                      <div class="col-md-6">
                        <div class="ipmtube-top-submit">
                          <button type="submit" class="ipmtube-form-submit ipmtube-btn ipmtube-btn-secondary ipmtube-btn-lg <?php echo $this->submitId; ?>" id="do-update-top" name="update_top">
                            <i class="ipmtube-fa ipmtube-fa-<?php echo $this->submitIcon; ?>"></i>
                            <strong> <?php echo $this->submitLabel; ?></strong>
                          </button>
                          <?php
                          if ( $this->video ) {
                            echo '<p class="ipmtube-update-info">' .
                              __( 'Last Update', 'wp_video_page_creator' ) .
                              ': <strong>' . mysql2date( 'd F Y, h:i:s', $this->video->post_date ) . '</strong>' .
                            '</p>';
                          }
                          ?>
                        </div>
                      </div>
                    </div>
                  </div>

                  <?php
                  $this->view( 'manage/main/content' );
                  ?>

                  <div class="ipmtube-manage-footer">
                    <div class="row">
                      <div class="col-md-6">
                        <div class="ipmtube-bottom-submit">
                          <button type="submit" class="ipmtube-form-submit ipmtube-btn ipmtube-btn-secondary ipmtube-btn-lg <?php echo $this->submitId; ?>" id="do-update-bottom" name="update_bottom">
                            <i class="ipmtube-fa ipmtube-fa-<?php echo $this->submitIcon; ?>"></i>
                            <strong><?php echo $this->submitLabel; ?></strong>
                          </button>
                        </div>
                      </div>
                      <div class="col-md-6">
                        <div class="ipmtube-bottom-action text-right">
                          <?php
                          if ( $this->video ) :
                          ?>
                          <a href="#" class="ipmtube-btn ipmtube-btn-danger ipmtube-btn-lg ipmtube-item-delete ipmtube-del-edit" data-id="<?php echo $this->video->ID; ?>">
                              <i class="ipmtube-fa ipmtube-fa-trash"></i>
                              <?php _e( 'Delete', IPMTUBE_SLUG ); ?>
                          </a>
                          <?php
                          endif;
                          ?>
                        </div>
                      </div>
                    </div>

                  </div>
                </div>
              </div>
            </div>

          </form>
        </div>
      </div>
    </div>
  </div>
</div>
