<div class="ipmtube-button-action-fields ipmtube-button-action-popup"<?php echo $this->dspPopup; ?>>

    <h2 class="ipmtube-field-title mb20 py10"> <?php _e( 'Popup Settings', IPMTUBE_SLUG ); ?></h2>

    <?php
    //Title
    ?>
    <!-- start: .ipmtube-field-row -->
    <div class="ipmtube-field-row ipmtube-field-x ipmtube-help-abs">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-bottom-popup-title"><?php _e( 'Title', IPMTUBE_SLUG ); ?></label>
        </div>
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">
            <?php
            $title = stripslashes( $this->setting->getSetting( 'bottom_popup_title', '' ));
            ?>
            <input type="text" id="input-bottom-popup-title" class="ipmtube-input ipmtube-input-full" name="bottom_popup_title" value="<?php echo $title; ?>">

            <div class="ipmtube-help">
                <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
                <div class="ipmtube-help-content ipmtube-hide">
                    <?php _e( 'Set the title for the popup.', IPMTUBE_SLUG ); ?>
                </div>
            </div>
        </div>
    </div>
    <!-- end: .ipmtube-field-row -->

    <?php
    /*
     * Image
     */
    ?>
    <!-- start: .ipmtube-field-row -->
    <div class="ipmtube-field-row ipmtube-field-x ipmtube-help-abs">
      <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-bottom-popup-image"><?php _e( 'Image', IPMTUBE_SLUG ); ?></label>
      </div>

      <!-- start: .ipmtube-field -->
      <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

        <div class="ipmtube-upload-image ipmtube-clear">
            <div class="ipmtube-upload-preview">
                <?php
                  $setimg = false;
                  if ( $attach_id = $this->setting->getSetting( 'bottom_popup_image' ) ) {
                      $setimg = true;
                      $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                  }
                  if ( $setimg ) {
                      echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                      echo '<div class="none ipmtube-hide">' . __( 'No image', IPMTUBE_SLUG ) . '</div>';
                      $reset_dsp = '';
                  } else {
                      echo '<div class="image"></div>';
                      echo '<div class="none">' . __( 'No image', IPMTUBE_SLUG ) . '</div>';
                      $reset_dsp = ' style="display:none;"';
                  }
                ?>
            </div>

            <div class="ipmtube-image-field">
                <div class="ipmtube-select-image">
                    <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', IPMTUBE_SLUG ); ?></p>
                    <a class="ipmtube-btn ipmtube-btn-secondary ipmtube-btn-media ipmtube-btn-sm" data-choose="<?php esc_attr_e( 'Choose Photo', IPMTUBE_SLUG ); ?>"
                      data-update="<?php esc_attr_e( 'Choose photo', IPMTUBE_SLUG ); ?>">
                        <i class="ipmtube-fa ipmtube-fa-image"></i>
                        <?php _e( 'Select Photo', IPMTUBE_SLUG ); ?>
                    </a>
                    <a class="ipmtube-btn ipmtube-btn-reset ipmtube-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                        <i class="ipmtube-fa ipmtube-fa-ban"></i>
                        <?php _e( 'Clear Photo', IPMTUBE_SLUG ); ?>
                    </a>
                </div>
                <input type="hidden" name="upload_type" class="ipmtube-upload-type" value="bottom_popup_image" />
                <input type="hidden" name="bottom_popup_image" class="ipmtube-image-id" value="<?php echo $attach_id; ?>" />
            </div>
        </div>

        <div class="ipmtube-help">
          <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
          <div class="ipmtube-help-content ipmtube-hide">
            <?php _e( 'Add image in the popup.', IPMTUBE_SLUG ); ?>
          </div>
        </div>
      </div>
      <!-- end: .ipmtube-field -->
    </div>
    <!-- end: .ipmtube-field-row -->

    <?php
    //image URL
    ?>
    <!-- start: .ipmtube-field-row -->
    <div class="ipmtube-field-row ipmtube-field-x ipmtube-help-abs">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-bottom-popup-image-url"><?php _e( 'Image Link URL', IPMTUBE_SLUG ); ?></label>
        </div>
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">
            <?php
            $url = $this->setting->getSetting( 'bottom_popup_image_url', '' );
            ?>
            <input type="text" id="input-bottom-popup-image-url" class="ipmtube-input ipmtube-input-full" name="bottom_popup_image_url" value="<?php echo $url; ?>">

            <div class="ipmtube-help">
                <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
                <div class="ipmtube-help-content ipmtube-hide">
                    <?php _e( 'Set the url for the popup button.', IPMTUBE_SLUG ); ?>
                </div>
            </div>
        </div>
    </div>
    <!-- end: .ipmtube-field-row -->

    <?php
    //Info
    ?>
    <!-- start: .ipmtube-field-row -->
    <div class="ipmtube-field-row ipmtube-field-x ipmtube-help-abs">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-bottom-popup-info"><?php _e( 'Info', IPMTUBE_SLUG ); ?></label>
        </div>
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">
            <?php
            $info = stripslashes( $this->setting->getSetting( 'bottom_popup_info', '' ));
            ?>
            <textarea id="input-bottom-popup-info" class="ipmtube-input ipmtube-input-full" name="bottom_popup_info"> <?php echo $info; ?></textarea>

            <div class="ipmtube-help">
                <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
                <div class="ipmtube-help-content ipmtube-hide">
                    <?php _e( 'Set the info for the popup.', IPMTUBE_SLUG ); ?>
                </div>
            </div>
        </div>
    </div>
    <!-- end: .ipmtube-field-row -->

    <?php
    //Button Label
    ?>
    <!-- start: .ipmtube-field-row -->
    <div class="ipmtube-field-row ipmtube-field-x ipmtube-help-abs">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-bottom-popup-button-label"><?php _e( 'Button Label', IPMTUBE_SLUG ); ?></label>
        </div>
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">
            <?php
            $label = stripslashes( $this->setting->getSetting( 'bottom_popup_button_label', '' ));
            ?>
            <input type="text" id="input-bottom-popup-button-label" class="ipmtube-input ipmtube-input-full" name="bottom_popup_button_label" value="<?php echo $label; ?>">

            <div class="ipmtube-help">
                <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
                <div class="ipmtube-help-content ipmtube-hide">
                    <?php _e( 'Set the label for the popup button.', IPMTUBE_SLUG ); ?>
                </div>
            </div>
        </div>
    </div>
    <!-- end: .ipmtube-field-row -->

    <?php
    //Button URL
    ?>
    <!-- start: .ipmtube-field-row -->
    <div class="ipmtube-field-row ipmtube-field-x ipmtube-help-abs">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-bottom-popup-button-url"><?php _e( 'Button URL', IPMTUBE_SLUG ); ?></label>
        </div>
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">
            <?php
            $url = $this->setting->getSetting( 'bottom_popup_button_url', '' );
            ?>
            <input type="text" id="input-bottom-popup-button-url" class="ipmtube-input ipmtube-input-full" name="bottom_popup_button_url" value="<?php echo $url; ?>">

            <div class="ipmtube-help">
                <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
                <div class="ipmtube-help-content ipmtube-hide">
                    <?php _e( 'Set the url for the popup button.', IPMTUBE_SLUG ); ?>
                </div>
            </div>
        </div>
    </div>
    <!-- end: .ipmtube-field-row -->

</div>
