<h2 class="ipmtube-field-title mb20 py10"><?php _e( 'Subtitle', IPMTUBE_SLUG ); ?></h2>

<!-- start: .ipmtube-content-onoff -->
<div class="ipmtube-content-onoff">
  <?php
  /*
   * Show/Hide
   */
  ?>
  <!-- start: .ipmtube-field-row -->
  <div class="ipmtube-field-row ipmtube-field-x">
    <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
      <label for="input-bottom-show-subtitle"><?php _e( 'Show/Hide Subtitle', IPMTUBE_SLUG ); ?></label>
    </div>

    <!-- start: .ipmtube-field -->
    <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">
      <div class="ipmtube-onoff ipmtube-onoff-action">
          <?php
          $val = stripslashes( $this->setting->getSetting( 'bottom_show_subtitle', 'false' ));
          if ( $val == 'false' ) {
              $clon  = '';
              $cloff = ' active';
          } else {
              $clon  = ' active';
              $cloff = '';
          }
          ?>
          <div class="ipmtube-btn-group">
            <button data-value="true" class="ipmtube-btn-onoff<?php echo $clon; ?> ipmtube-btn-on" type="button"><?php _e( 'On', IPMTUBE_SLUG ); ?></button>
            <button data-value="false" class="ipmtube-btn-onoff<?php echo $cloff; ?> ipmtube-btn-off" type="button"><?php _e( 'Off', IPMTUBE_SLUG ); ?></button>
          </div>
          <input type="hidden" class="ipmtube-onoff-value" name="bottom_show_subtitle" value="<?php echo $val; ?>" />
      </div>

      <div class="ipmtube-help">
        <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
        <div class="ipmtube-help-content ipmtube-hide">
          <?php _e( 'Set whether to display the subtitle.', IPMTUBE_SLUG ); ?>
        </div>
      </div>
    </div>
    <!-- end: .ipmtube-field -->
  </div>
  <!-- end: .ipmtube-field-row -->

  <!-- start: .ipmtube-content-onoff-main -->
  <?php
  if ( $val == 'false' ) {
      $dspMain = ' style="display:none;"';
  } else {
      $dspMain = '';
  }
  ?>
  <div class="ipmtube-content-onoff-main"<?php echo $dspMain; ?>>
    <?php
    /*
     * Subtitle
     */
    ?>
    <!-- start: .ipmtube-field-row -->
    <div class="ipmtube-field-row ipmtube-field-x ipmtube-help-abs">
      <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-bottom-subtitle"><?php _e( 'Subtitle', IPMTUBE_SLUG ); ?></label>
      </div>

      <!-- start: .ipmtube-field -->
      <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">
        <?php
        $subtitle = stripslashes( $this->setting->getSetting( 'bottom_subtitle' ));
        ?>
        <input type="text" id="input-bottom-subtitle" class="ipmtube-input ipmtube-input-full" name="bottom_subtitle" value="<?php echo $subtitle; ?>">

        <div class="ipmtube-help">
          <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
          <div class="ipmtube-help-content ipmtube-hide">
            <?php _e( 'Set the subtitle.', IPMTUBE_SLUG ); ?>
          </div>
        </div>
      </div>
      <!-- end: .ipmtube-field -->
    </div>
    <!-- end: .ipmtube-field-row -->

    <?php
    //Font Size
    ?>
    <!-- start: .ipmtube-field-row -->
    <div class="ipmtube-field-row ipmtube-field-x">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-bottom-subtitle-font-size"><?php _e( 'Font Size', IPMTUBE_SLUG ); ?></label>
        </div>
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

            <div class="ipmtube-input-group">
                <?php
                $font_size = $this->setting->getSetting( 'bottom_subtitle_font_size', 14 );
                ?>
                <input type="text" id="input-bottom-subtitle-font-size" class="ipmtube-input ipmtube-input-xxs" name="bottom_subtitle_font_size" value="<?php echo $font_size; ?>">
                <div class="ipmtube-input-addon">px</div>
            </div>

            <div class="ipmtube-help">
                <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
                <div class="ipmtube-help-content ipmtube-hide">
                    <?php _e( 'The font size of the subtitle.', IPMTUBE_SLUG ); ?>
                </div>
            </div>
        </div>
    </div>
    <!-- end: .ipmtube-field-row -->

    <?php
    //Font Family
    ?>
    <!-- start: .ipmtube-field-row -->
    <div class="ipmtube-field-row ipmtube-field-x">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
            <label for="input-bottom-subtitle-font-family"><?php _e( 'Font Family', IPMTUBE_SLUG ); ?></label>
        </div>
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

            <?php
            $current = stripslashes( $this->setting->getSetting( 'bottom_subtitle_font_family', 'roboto' ));
            $fonts   = IPMTube_Font::getOptions();
            $fname   = IPMTube_Font::getFontName( $current );
            ?>
            <span class="ipmtube-font-family">
                <div class="ipmtube-menu ipmtube-fancy-option">
                    <div class="ipmtube-selected">
                        <div class="ipmtube-selected-box">
                            <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                        </div>
                        <span class="toggle"></span>
                    </div>
                    <div class="ipmtube-select" style="display: none;">
                        <div class="ipmtube-select-content">
                            <ul class="clearfix">
                                <?php
                                foreach( $fonts as $fkey => $label ) :
                                ?>
                                    <li data-select="<?php echo $fkey; ?>">
                                        <strong class="ipmtube-select-label">
                                            <?php echo $label; ?>
                                        </strong>
                                    </li>
                                <?php
                                endforeach;
                                ?>
                            </ul>
                        </div>
                    </div>
                    <input type="hidden" name="bottom_subtitle_font_family" class="ipmtube-input-select" value="<?php echo $current; ?>" />
                </div>
            </span>

            <div class="ipmtube-help">
                <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
                <div class="ipmtube-help-content ipmtube-hide">
                    <?php _e( 'The font family of the subtitle.', IPMTUBE_SLUG ); ?>
                </div>
            </div>
        </div>
    </div>
    <!-- end: .ipmtube-field-row -->

    <?php
    /*
     * Color
     */
    ?>
    <!-- start: .ipmtube-field-row -->
    <div class="ipmtube-field-row ipmtube-field-x">
      <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-bottom-subtitle-color"><?php _e( 'Color', IPMTUBE_SLUG ); ?></label>
      </div>

      <!-- start: .ipmtube-field -->
      <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

        <?php
        $color = stripslashes( $this->setting->getSetting( 'bottom_subtitle_color', '#ffffff' ));
        ?>
        <input type="text" class="ipmtube-color-picker" id="input-bottom-subtitle-color" name="bottom_subtitle_color" value="<?php echo $color; ?>" />


        <div class="ipmtube-help">
          <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
          <div class="ipmtube-help-content ipmtube-hide">
            <?php _e( 'Color for the subtitle.', IPMTUBE_SLUG ); ?>
          </div>
        </div>
      </div>
      <!-- end: .ipmtube-field -->
    </div>
    <!-- end: .ipmtube-field-row -->

  </div>
  <!-- end: .ipmtube-content-onoff-main -->
</div>
<!-- end: .ipmtube-content-onoff -->
