<?php
/**
 * Admin content design view
 *
 * @package wp-tube-profit-wiz
 * @author Chris Jenkins
 * @link http://pluginsforyou.com/
 */
?>
<div id="ipmtube-section-design" class="ipmtube-tab-content">
  <div class="ipmtube-tab-inner">

    <div class="ipmtube-title-content ipmtube-hide">
      <i class="ipmtube-fa ipmtube-fa-paint-brush"></i>
      <div class="ipmtube-title-text">
        <h3><?php _e( 'Design', IPMTUBE_SLUG ); ?></h3>
        <p><?php _e( 'Set look and feel of the Video', IPMTUBE_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipmtube-fields -->
    <div class="ipmtube-fields">

      <?php
      /*
       * Width
       */
      ?>
      <!-- start: .ipmtube-field-row -->
      <div class="ipmtube-field-row ipmtube-field-x">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-width"><?php _e( 'Video Width', IPMTUBE_SLUG ); ?></label>
        </div>

        <!-- start: .ipmtube-field -->
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $width = $this->setting->getSetting( 'width' );
          ?>
          <div class="ipmtube-input-group mr5">
              <input type="text" id="input-width" class="ipmtube-input ipmtube-input-xs" name="width" value="<?php echo $width; ?>">
              <div class="ipmtube-input-addon">px</div>
          </div>

          <div class="ipmtube-help">
            <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
            <div class="ipmtube-help-content ipmtube-hide">
              <?php _e( 'Width ( in pixel ) of the youtube video.', IPMTUBE_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipmtube-field -->
      </div>
      <!-- end: .ipmtube-field-row -->

      <?php
      /*
       * Height
       */
      ?>
      <!-- start: .ipmtube-field-row -->
      <div class="ipmtube-field-row ipmtube-field-x">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-height"><?php _e( 'Video Height', IPMTUBE_SLUG ); ?></label>
        </div>

        <!-- start: .ipmtube-field -->
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $height = $this->setting->getSetting( 'height', 300 );
          ?>
          <div class="ipmtube-input-group mr5">
              <input type="text" id="input-height" class="ipmtube-input ipmtube-input-xs" name="height" value="<?php echo $height; ?>">
              <div class="ipmtube-input-addon">px</div>
          </div>

          <div class="ipmtube-help">
            <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
            <div class="ipmtube-help-content ipmtube-hide">
              <?php _e( 'Height ( in pixel ) of the youtube video.', IPMTUBE_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipmtube-field -->
      </div>
      <!-- end: .ipmtube-field-row -->

      <?php
      /*
       * Padding
       */
      ?>
      <!-- start: .ipmtube-field-row -->
      <div class="ipmtube-field-row ipmtube-field-x">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-padding"><?php _e( 'Video Padding', IPMTUBE_SLUG ); ?></label>
        </div>

        <!-- start: .ipmtube-field -->
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $padding = $this->setting->getSetting( 'padding' );
          ?>
          <div class="ipmtube-input-group mr5">
              <input type="text" id="input-padding" class="ipmtube-input ipmtube-input-xs" name="padding" value="<?php echo $padding; ?>">
              <div class="ipmtube-input-addon">px</div>
          </div>

          <div class="ipmtube-help">
            <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
            <div class="ipmtube-help-content ipmtube-hide">
              <?php _e( 'Space arround the youtube video.', IPMTUBE_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipmtube-field -->
      </div>
      <!-- end: .ipmtube-field-row -->

      <?php
      /*
       * Background Color
       */
      ?>
      <!-- start: .ipmtube-field-row -->
      <div class="ipmtube-field-row ipmtube-field-x">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-background-color"><?php _e( 'Background Color', IPMTUBE_SLUG ); ?></label>
        </div>

        <!-- start: .ipmtube-field -->
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'background_color', '#ffffff' ) );
          ?>
          <input type="text" class="ipmtube-color-picker" id="input-background-color" name="background_color" value="<?php echo $color; ?>" />


          <div class="ipmtube-help">
            <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
            <div class="ipmtube-help-content ipmtube-hide">
              <?php _e( 'Add background color in bellow the video.', IPMTUBE_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipmtube-field -->
      </div>
      <!-- end: .ipmtube-field-row -->

      <?php
      /*
       * Background Image
       */
      ?>
      <!-- start: .ipmtube-field-row -->
      <div class="ipmtube-field-row ipmtube-field-x ipmtube-help-abs">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-background-image"><?php _e( 'Background Image', IPMTUBE_SLUG ); ?></label>
        </div>

        <!-- start: .ipmtube-field -->
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

          <div class="ipmtube-upload-image ipmtube-clear">
              <div class="ipmtube-upload-preview">
                  <?php
                    $setimg = false;
                    if ( $attach_id = $this->setting->getSetting( 'background_image' ) ) {
                        $setimg = true;
                        $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                    }
                    if ( $setimg ) {
                        echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                        echo '<div class="none ipmtube-hide">' . __( 'No image', IPMTUBE_SLUG ) . '</div>';
                        $reset_dsp = '';
                    } else {
                        echo '<div class="image"></div>';
                        echo '<div class="none">' . __( 'No image', IPMTUBE_SLUG ) . '</div>';
                        $reset_dsp = ' style="display:none;"';
                    }
                  ?>
              </div>

              <div class="ipmtube-image-field">
                  <div class="ipmtube-select-image">
                      <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', IPMTUBE_SLUG ); ?></p>
                      <a class="ipmtube-btn ipmtube-btn-secondary ipmtube-btn-media ipmtube-btn-sm" data-choose="<?php esc_attr_e( 'Choose Photo', IPMTUBE_SLUG ); ?>"
                        data-update="<?php esc_attr_e( 'Choose photo', IPMTUBE_SLUG ); ?>">
                          <i class="ipmtube-fa ipmtube-fa-image"></i>
                          <?php _e( 'Select Photo', IPMTUBE_SLUG ); ?>
                      </a>
                      <a class="ipmtube-btn ipmtube-btn-reset ipmtube-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                          <i class="ipmtube-fa ipmtube-fa-ban"></i>
                          <?php _e( 'Clear Photo', IPMTUBE_SLUG ); ?>
                      </a>
                  </div>
                  <input type="hidden" name="upload_type" class="ipmtube-upload-type" value="background_image" />
                  <input type="hidden" name="background_image" class="ipmtube-image-id" value="<?php echo $attach_id; ?>" />
              </div>
          </div>

          <div class="ipmtube-help">
            <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
            <div class="ipmtube-help-content ipmtube-hide">
              <?php _e( 'Add background image in bellow the video.', IPMTUBE_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipmtube-field -->
      </div>
      <!-- end: .ipmtube-field-row -->

      <?php
      //Background repeat
      ?>
      <!-- start: .ipmtube-field-row -->
      <div class="ipmtube-field-row ipmtube-field-x">
          <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-background-repeat"><?php _e( 'Background Repeat', IPMTUBE_SLUG ); ?></label>
          </div>
          <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

              <select name="background_repeat" id="input-background-repeat">
              <?php
              $current = stripslashes( $this->setting->getSetting( 'background_repeat', 'repeat' ));
              $repeats = array(
                  'no-repeat' => __( 'No Repeat', IPMTUBE_SLUG ),
                  'repeat'    => __( 'Repeat All', IPMTUBE_SLUG ),
                  'repeat-x'  => __( 'Repeat Horizontally', IPMTUBE_SLUG ),
                  'repeat-y'  => __( 'Repeat Vertically', IPMTUBE_SLUG )
              );
              foreach( $repeats as $key => $label ) {
                  $sltd = '';
                  if ( $key == $current ) {
                      $sltd = ' selected="selected"';
                  }
                  echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
              }
              ?>
              </select>

              <div class="ipmtube-help">
                <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
                  <div class="ipmtube-help-content ipmtube-hide">
                  <?php _e( 'The repeat method of the background image.', IPMTUBE_SLUG ); ?>
                </div>
            </div>
          </div>
      </div>
      <!-- end: .ipmtube-field-row -->

      <?php
      /*
       * Border
       */
      ?>
      <!-- start: .ipmtube-field-row -->
      <div class="ipmtube-field-row ipmtube-field-x">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-border"><?php _e( 'Border', IPMTUBE_SLUG ); ?></label>
        </div>

        <!-- start: .ipmtube-field -->
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $bowidth = $this->setting->getSetting( 'border_width', 0 );
          $bocolor = stripslashes( $this->setting->getSetting( 'border_color', '#222222' ));
          ?>
          <div class="ipmtube-input-group mr5">
            <input type="text" id="input-border-width" class="ipmtube-input ipmtube-input-xxs" name="border_width" value="<?php echo $bowidth; ?>">
            <div class="ipmtube-input-addon">px</div>
          </div>
          <input type="text" class="ipmtube-color-picker" id="input-border-color" name="border_color" value="<?php echo $bocolor; ?>" />

          <div class="ipmtube-help">
            <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
            <div class="ipmtube-help-content ipmtube-hide">
              <?php _e( 'Set border in arround the video.', IPMTUBE_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipmtube-field -->
      </div>
      <!-- end: .ipmtube-field-row -->

      <?php
      //Border radius
      ?>
      <!-- start: .ipmtube-field-row -->
      <div class="ipmtube-field-row ipmtube-field-x">
          <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
              <label for="input-border-radius"><?php _e( 'Border Radius', IPMTUBE_SLUG ); ?></label>
          </div>
          <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

              <select name="border_radius" id="input-border-radius">
              <?php
              $current = stripslashes( $this->setting->getSetting( 'border_radius', 'none' ));
              $styles  = array(
                  'none' => __( 'None', IPMTUBE_SLUG ),
                  'sm'   => __( 'Small', IPMTUBE_SLUG ),
                  'md'   => __( 'Medium', IPMTUBE_SLUG ),
                  'lg'   => __( 'Large', IPMTUBE_SLUG )
              );
              foreach( $styles as $key => $label ) {
                  $sltd = '';
                  if ( $key == $current ) {
                      $sltd = ' selected="selected"';
                  }
                  echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
              }
              ?>
              </select>

              <div class="ipmtube-help">
                <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
                  <div class="ipmtube-help-content ipmtube-hide">
                  <?php _e( 'The border radius of the video.', IPMTUBE_SLUG ); ?>
                </div>
            </div>
          </div>
      </div>
      <!-- end: .ipmtube-field-row -->

      <?php
      $this->view( 'manage/main/design/popup' );
      ?>

    </div>
    <!-- end: .ipmtube-fields -->

  </div>
</div>
