<?php
/**
 * Admin content general view
 *
 * @package wp-tube-profit-wiz
 * @author Chris Jenkins
 * @link http://pluginsforyou.com/
 */
?>
<div id="ipmtube-section-general" class="ipmtube-tab-content">
  <div class="ipmtube-tab-inner">

    <div class="ipmtube-title-content ipmtube-hide">
      <i class="ipmtube-fa ipmtube-fa-cogs"></i>
      <div class="ipmtube-title-text">
        <h3><?php _e( 'General', IPMTUBE_SLUG ); ?></h3>
        <p><?php _e( 'Basic settings and info of your video page', IPMTUBE_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipmtube-fields -->
    <div class="ipmtube-fields">

      <?php
      /*
       * Title
       */
      ?>
      <!-- start: .ipmtube-field-row -->
      <div class="ipmtube-field-row ipmtube-field-x ipmtube-help-abs">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-title"><?php _e( 'Title', IPMTUBE_SLUG ); ?></label>
        </div>

        <!-- start: .ipmtube-field -->
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $title = '';
          if ( $this->video ) {
            $title = stripslashes( $this->video->post_title );
          }
          ?>
          <input type="text" id="input-title" class="ipmtube-input ipmtube-input-full ipmtube-input-v-lg" name="title" value="<?php echo $title; ?> ">

          <div class="ipmtube-help">
            <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
            <div class="ipmtube-help-content ipmtube-hide">
              <?php _e( 'The title of the video. This data will not be used directly in creating video, only to mark the video , so it easier for you to manage it.', IPMTUBE_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipmtube-field -->
      </div>
      <!-- end: .ipmtube-field-row -->

      <?php
      /*
       * Youtube Url
       */
      ?>
      <!-- start: .ipmtube-field-row -->
      <div class="ipmtube-field-row ipmtube-field-x ipmtube-help-abs">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-youtube-url"><?php _e( 'Youtube URL', IPMTUBE_SLUG ); ?></label>
        </div>

        <!-- start: .ipmtube-field -->
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $url = $this->setting->getSetting( 'youtube_url' );
          ?>
          <input type="text" id="input-youtube-url" class="ipmtube-input ipmtube-input-full ipmtube-input-v-lg" name="youtube_url" value="<?php echo $url; ?> ">

          <div class="ipmtube-help">
            <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
            <div class="ipmtube-help-content ipmtube-hide">
              <?php _e( 'Youtube video url. <br> Example: https://www.youtube.com/watch?v=UZumR37Urv8', IPMTUBE_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipmtube-field -->
      </div>
      <!-- end: .ipmtube-field-row -->

      <?php
      /*
       * Video Autoplay
       */
      ?>
      <!-- start: .ipmtube-field-row -->
      <div class="ipmtube-field-row ipmtube-field-x">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-autoplay"><?php _e( 'Video Autoplay', IPMTUBE_SLUG ); ?></label>
        </div>

        <!-- start: .ipmtube-field -->
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipmtube-onoff">
              <?php
              $val = stripslashes( $this->setting->getSetting( 'autoplay', 'false' ));
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipmtube-btn-group">
                <button data-value="true" class="ipmtube-btn-onoff<?php echo $clon; ?> ipmtube-btn-on" type="button"><?php _e( 'On', IPMTUBE_SLUG ); ?></button>
                <button data-value="false" class="ipmtube-btn-onoff<?php echo $cloff; ?> ipmtube-btn-off" type="button"><?php _e( 'Off', IPMTUBE_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipmtube-onoff-value" name="autoplay" value="<?php echo $val; ?>" />
          </div>

          <div class="ipmtube-help">
            <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
            <div class="ipmtube-help-content ipmtube-hide">
              <?php _e( 'Set to on if you want to automatically start the video when the page loads.', IPMTUBE_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipmtube-field -->
      </div>
      <!-- end: .ipmtube-field-row -->

      <?php
      /*
       * Start time
       */
      ?>
      <!-- start: .ipmtube-field-row -->
      <div class="ipmtube-field-row ipmtube-field-x">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-start-time"><?php _e( 'Video Start Time', IPMTUBE_SLUG ); ?></label>
        </div>

        <!-- start: .ipmtube-field -->
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $time = $this->setting->getSetting( 'start_time' );
          ?>
          <div class="ipmtube-input-group mr5">
              <input type="text" id="input-start-time" class="ipmtube-input ipmtube-input-xs" name="start_time" value="<?php echo $time; ?>">
              <div class="ipmtube-input-addon">second</div>
          </div>

          <div class="ipmtube-help">
            <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
            <div class="ipmtube-help-content ipmtube-hide">
              <?php _e( 'Start time (in second) of the youtube video.', IPMTUBE_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipmtube-field -->
      </div>
      <!-- end: .ipmtube-field-row -->

      <?php
      /*
       * Status
       */
      ?>
      <!-- start: .ipmtube-field-row -->
      <div class="ipmtube-field-row ipmtube-field-x">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-status"><?php _e( 'Status', IPMTUBE_SLUG ); ?></label>
        </div>

        <!-- start: .ipmtube-field -->
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipmtube-onoff">
              <?php
              $val  = 'true';
              if ( $this->video && $this->video->post_status == 'draft' ) {
                  $val = 'false';
              }
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipmtube-btn-group">
                <button data-value="true" class="ipmtube-btn-onoff<?php echo $clon; ?> ipmtube-btn-on" type="button"><?php _e( 'Show', IPMTUBE_SLUG ); ?></button>
                <button data-value="false" class="ipmtube-btn-onoff<?php echo $cloff; ?> ipmtube-btn-off" type="button"><?php _e( 'Hide', IPMTUBE_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipmtube-onoff-value" name="status" value="<?php echo $val; ?>" />
          </div>

          <div class="ipmtube-help">
            <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
            <div class="ipmtube-help-content ipmtube-hide">
              <?php _e( 'Determines the status of the video, whether the video will be viewable by the public or not.', IPMTUBE_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipmtube-field -->
      </div>
      <!-- end: .ipmtube-field-row -->


    </div>
    <!-- end: .ipmtube-fields -->

  </div>
</div>
