<?php
/**
 * Admin bottom content view
 *
 * @package wp-tube-profit-wiz
 * @author Chris Jenkins
 * @link http://pluginsforyou.com/
 */
?>
<div id="ipmtube-section-restricted" class="ipmtube-tab-content">
  <div class="ipmtube-tab-inner">

    <div class="ipmtube-title-content ipmtube-hide">
      <i class="ipmtube-fa ipmtube-fa-key"></i>
      <div class="ipmtube-title-text">
        <h3><?php _e( 'Restricted', IPMTUBE_SLUG ); ?></h3>
        <p><?php _e( 'Restricted your video', IPMTUBE_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipmtube-fields -->
    <div class="ipmtube-fields">

      <?php
      /*
       * Restricted
       */
      ?>
      <!-- start: .ipmtube-field-row -->
      <div class="ipmtube-field-row ipmtube-field-x">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-restricted"><?php _e( 'Restricted User', IPMTUBE_SLUG ); ?></label>
        </div>

        <!-- start: .ipmtube-field -->
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipmtube-onoff">
              <?php
              $val = stripslashes( $this->setting->getSetting( 'restricted', 'false' ) );
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipmtube-btn-group">
                <button data-value="true" class="ipmtube-btn-onoff<?php echo $clon; ?> ipmtube-btn-on" type="button"><?php _e( 'On', IPMTUBE_SLUG ); ?></button>
                <button data-value="false" class="ipmtube-btn-onoff<?php echo $cloff; ?> ipmtube-btn-off" type="button"><?php _e( 'Off', IPMTUBE_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipmtube-onoff-value" name="restricted" value="<?php echo $val; ?>" />
          </div>

          <div class="ipmtube-help">
            <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
            <div class="ipmtube-help-content ipmtube-hide">
              <?php _e( 'Set on if you want to restricted user that can see the video.', IPMTUBE_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipmtube-field -->
      </div>
      <!-- end: .ipmtube-field-row -->

      <?php
      /*
       * Restricted message
       */
      ?>
      <!-- start: .ipmtube-field-row -->
      <div class="ipmtube-field-row ipmtube-field-x ipmtube-help-abs">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-restricted-message"><?php _e( 'Restricted Message', IPMTUBE_SLUG ); ?></label>
        </div>

        <!-- start: .ipmtube-field -->
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $message = stripslashes( $this->setting->getSetting( 'restricted_message' ));
          ?>
          <textarea id="input-restricted-message" class="ipmtube-input ipmtube-input-full" name="restricted_message"><?php echo $message; ?> </textarea>

          <div class="ipmtube-help">
            <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
            <div class="ipmtube-help-content ipmtube-hide">
              <?php _e( 'Restricted message to tell the user about this restricted.', IPMTUBE_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipmtube-field -->
      </div>
      <!-- end: .ipmtube-field-row -->


    </div>
    <!-- end: .ipmtube-fields -->

  </div>
</div>
