<?php
/**
 * Admin statistic view
 *
 * @package wp-tube-profit-wiz
 * @author Chris Jenkins
 * @link http://pluginsforyou.com/
 */
?>
<div id="ipmtube-section-statistic" class="ipmtube-tab-content">
  <div class="ipmtube-tab-inner">

    <div class="ipmtube-title-content ipmtube-hide">
      <i class="ipmtube-fa ipmtube-fa-line-chart"></i>
      <div class="ipmtube-title-text">
        <h3><?php _e( 'Statistic', IPMTUBE_SLUG ); ?></h3>
        <p><?php _e( 'See the statistic data for your video', IPMTUBE_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipmtube-fields -->
    <div class="ipmtube-fields">

      <!-- start: .ipmtube-statistic -->
      <div class="ipmtube-statistic">

        <?php
        $model      = new IPMTube_Model();
        $pageId     = $this->video->ID;
        $views      = $model->getStatValue( $pageId, 'view' );
        $subscribes = $model->getStatValue( $pageId, 'subscribe' );
        $popups     = $model->getStatValue( $pageId, 'popup' );
        $buttons    = $model->getStatValue( $pageId, 'button' );
        ?>

        <div class="ipmtube-stat-filter ipmtube-clear">
          <div class="ipmtube-stat-nav">
            <div class="container container-fluid">
              <ul class="row">
                <li class="col-sm-3 ipmtube-nav-view ipmtube-nav-blue active">
                  <a href="#stat-view">
                    <i class="ipmtube-fa ipmtube-fa-eye"></i>
                    <span class="stat-value">
                      <strong> <?php echo number_format( $views ); ?></strong>
                      <em> <?php _e( 'Views', IPMTUBE_SLUG ); ?></em>
                    </span>
                  </a>
                </li>
                <li class="col-sm-3 ipmtube-nav-subscribe ipmtube-nav-red">
                  <a href="#stat-subscribe">
                    <i class="ipmtube-fa ipmtube-fa-users"></i>
                    <span class="stat-value">
                      <strong> <?php echo number_format( $subscribes ); ?></strong>
                      <em> <?php _e( 'Subscribes', IPMTUBE_SLUG ); ?></em>
                    </span>
                  </a>
                </li>
                <li class="col-sm-3 ipmtube-nav-buy ipmtube-nav-orange">
                  <a href="#stat-popup">
                    <i class="ipmtube-fa ipmtube-fa-shield"></i>
                    <span class="stat-value">
                      <strong> <?php echo number_format( $popups ); ?></strong>
                      <em> <?php _e( 'Popup Button Clicks', IPMTUBE_SLUG ); ?></em>
                    </span>
                  </a>
                </li>
                <li class="col-sm-3 ipmtube-nav-social ipmtube-nav-green">
                  <a href="#stat-button">
                    <i class="ipmtube-fa ipmtube-fa-chain"></i>
                    <span class="stat-value">
                      <strong> <?php echo $buttons; ?></strong>
                      <em> <?php _e( 'Button Clicks', IPMTUBE_SLUG ); ?></em>
                    </span>
                  </a>
                </li>
              </ul>
            </div>
          </div>
          <div class="ipmtube-date-filter">
            <form action="" method="post">
              <input type="hidden" id="value-pageid" name="pageid" value="<?php echo $pageId; ?>" />
              <input type="hidden" id="value-stat-type" name="stat_type" value="view" />
              <?php
              $dateStart = date('m/d/Y');
              $dateEnd   = date('m/d/Y');
              ?>
              <strong> <?php _e( 'Filter By Date', IPMTUBE_SLUG ); ?>: </strong>
              <span class="ipmtube-date-input">
                <input type="text" id="date-start" name="cdatestart" value="<?php echo $dateStart; ?>" />
                -
                <input type="text" id="date-end" name="cdateend" value="<?php echo $dateEnd; ?>" />
              </span>
              <span class="ipmtube-do-filter">
                <input type="submit" id="do-filter-date" class="button button-primary" name="do_filter_date" value="<?php _e( 'Go', IPMTUBE_SLUG ); ?>" />
              </span>
            </form>
          </div>
        </div>

        <div class="ipmtube-stat-main">
            <h4><?php _e( 'Views Statistic', IPMTUBE_SLUG ); ?></h4>
            <div class="ipmtube-stat-chart">

                <script type="text/javascript" src="https://www.google.com/jsapi"></script>
                <script type="text/javascript">
                    google.load("visualization", "1", {packages:["corechart"]});
                    google.setOnLoadCallback(drawChart);
                    function drawChart() {

                        var dataTable = new google.visualization.DataTable();
                        dataTable.addColumn( 'date', '<?php _e( 'Date', IPMTUBE_SLUG ); ?>' );
                        dataTable.addColumn( 'number', '<?php _e( 'Views', IPMTUBE_SLUG ); ?>' );

                        var rows = [
                        <?php
                        $stdata = $model->getStatisticData( $pageId, 'view' );
                        if ( $stdata ) {
                            foreach( $stdata as $data ) {
                                $timestamp = strtotime( $data->gdate );
                                $phpdate   = getdate($timestamp);

                                echo '[new Date('
                                        . $phpdate['year'] . ', '
                                        . ( $phpdate['mon']  - 1 ) . ', '
                                        . $phpdate['mday'] . ',0,0,0), '
                                        . $data->value
                                    . '],';
                            }
                        }
                        ?>
                        ];
                        dataTable.addRows( rows );

                        var options = {
                            series: [{pointSize:6}]
                        };
                        var chart = new google.visualization.LineChart(document.getElementById('ipmtube-chart-div'));
                        chart.draw(dataTable, options);
                    }
                </script>

                <div id="ipmtube-chart-div" class="ipmtube-chart-main" style="width: 100%; height: 500px;"></div>
                <div class="ipmtube-chart-load" style="display: none;">
                    <?php
                    $src = IPMTUBE_BASE_URL . 'assets/img/loading.gif';
                    ?>
                    <img src="<?php echo $src; ?>" alt="Loading..." />
                </div>

            </div>
        </div>

      </div>
      <!-- end: .ipmtube-statistic -->

    </div>
    <!-- end: .ipmtube-fields -->

  </div>
</div>
