<?php
/**
 * Admin top content view
 *
 * @package wp-tube-profit-wiz
 * @author Chris Jenkins
 * @link http://pluginsforyou.com/
 */
?>
<div id="ipmtube-section-top-content" class="ipmtube-tab-content">
  <div class="ipmtube-tab-inner">

    <div class="ipmtube-title-content ipmtube-hide">
      <i class="ipmtube-fa ipmtube-fa-pencil"></i>
      <div class="ipmtube-title-text">
        <h3><?php _e( 'Top Content', IPMTUBE_SLUG ); ?></h3>
        <p><?php _e( 'Set top content in the Video', IPMTUBE_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipmtube-fields -->
    <div class="ipmtube-fields">

      <h2 class="ipmtube-field-title mb20 py10"><?php _e( 'General', IPMTUBE_SLUG ); ?></h2>

      <?php
      /*
       * Show/Hide Top Content
       */
      ?>
      <!-- start: .ipmtube-field-row -->
      <div class="ipmtube-field-row ipmtube-field-x">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-show-top-content"><?php _e( 'Show/Hide Top Content', IPMTUBE_SLUG ); ?></label>
        </div>

        <!-- start: .ipmtube-field -->
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipmtube-onoff">
              <?php
              $val = stripslashes( $this->setting->getSetting( 'show_top_content', 'false' ));
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipmtube-btn-group">
                <button data-value="true" class="ipmtube-btn-onoff<?php echo $clon; ?> ipmtube-btn-on" type="button"><?php _e( 'On', IPMTUBE_SLUG ); ?></button>
                <button data-value="false" class="ipmtube-btn-onoff<?php echo $cloff; ?> ipmtube-btn-off" type="button"><?php _e( 'Off', IPMTUBE_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipmtube-onoff-value" name="show_top_content" value="<?php echo $val; ?>" />
          </div>

          <div class="ipmtube-help">
            <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
            <div class="ipmtube-help-content ipmtube-hide">
              <?php _e( 'Set to on if you want to show the bottom content.', IPMTUBE_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipmtube-field -->
      </div>
      <!-- end: .ipmtube-field-row -->

      <?php
      /*
       * Background Color
       */
      ?>
      <!-- start: .ipmtube-field-row -->
      <div class="ipmtube-field-row ipmtube-field-x">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-top-background-color"><?php _e( 'Background Color', IPMTUBE_SLUG ); ?></label>
        </div>

        <!-- start: .ipmtube-field -->
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

          <?php
          $color = stripslashes( $this->setting->getSetting( 'top_background_color', '#333333' ));
          ?>
          <input type="text" class="ipmtube-color-picker" id="input-top-background-color" name="top_background_color" value="<?php echo $color; ?>" />


          <div class="ipmtube-help">
            <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
            <div class="ipmtube-help-content ipmtube-hide">
              <?php _e( 'Add background color in bellow the top content.', IPMTUBE_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipmtube-field -->
      </div>
      <!-- end: .ipmtube-field-row -->

      <?php
      /*
       * Border
       */
      ?>
      <!-- start: .ipmtube-field-row -->
      <div class="ipmtube-field-row ipmtube-field-x">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-top-border-width"><?php _e( 'Border', IPMTUBE_SLUG ); ?></label>
        </div>

        <!-- start: .ipmtube-field -->
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">
          <?php
          $bowidth = $this->setting->getSetting( 'top_border_width', 0 );
          $bocolor = stripslashes( $this->setting->getSetting( 'top_border_color', '#222222' ));
          ?>
          <div class="ipmtube-input-group mr5">
            <input type="text" id="input-top-border-width" class="ipmtube-input ipmtube-input-xxs" name="top_border_width" value="<?php echo $bowidth; ?>">
            <div class="ipmtube-input-addon">px</div>
          </div>
          <input type="text" class="ipmtube-color-picker" id="input-top-border-color" name="top_border_color" value="<?php echo $bocolor; ?>" />

          <div class="ipmtube-help">
            <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
            <div class="ipmtube-help-content ipmtube-hide">
              <?php _e( 'Set border in arround the top content.', IPMTUBE_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipmtube-field -->
      </div>
      <!-- end: .ipmtube-field-row -->

      <?php
      /*
       * Auto Hide Content
       */
      ?>
      <!-- start: .ipmtube-field-row -->
      <div class="ipmtube-field-row ipmtube-field-x">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-top-autohide"><?php _e( 'Auto Hide Content', IPMTUBE_SLUG ); ?></label>
        </div>

        <!-- start: .ipmtube-field -->
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipmtube-onoff ipmtube-onoff-action">
              <?php
              $val = stripslashes( $this->setting->getSetting( 'top_autohide', 'false' ));
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipmtube-btn-group">
                <button data-value="true" class="ipmtube-btn-onoff<?php echo $clon; ?> ipmtube-btn-on" type="button"><?php _e( 'On', IPMTUBE_SLUG ); ?></button>
                <button data-value="false" class="ipmtube-btn-onoff<?php echo $cloff; ?> ipmtube-btn-off" type="button"><?php _e( 'Off', IPMTUBE_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipmtube-onoff-value" name="top_autohide" value="<?php echo $val; ?>" />
          </div>

          <div class="ipmtube-help">
            <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
            <div class="ipmtube-help-content ipmtube-hide">
              <?php _e( 'If this option is set to on then when the cursor is in the video area, the content will automatically be hidden.', IPMTUBE_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipmtube-field -->
      </div>
      <!-- end: .ipmtube-field-row -->

      <?php
      /*
       * Close button
       */
      ?>
      <!-- start: .ipmtube-field-row -->
      <div class="ipmtube-field-row ipmtube-field-x">
        <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
          <label for="input-top-close"><?php _e( 'Show/Hide Close Button', IPMTUBE_SLUG ); ?></label>
        </div>

        <!-- start: .ipmtube-field -->
        <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">
          <div class="ipmtube-onoff ipmtube-onoff-action">
              <?php
              $val = stripslashes( $this->setting->getSetting( 'top_close', 'true' ));
              if ( $val == 'false' ) {
                  $clon  = '';
                  $cloff = ' active';
              } else {
                  $clon  = ' active';
                  $cloff = '';
              }
              ?>
              <div class="ipmtube-btn-group">
                <button data-value="true" class="ipmtube-btn-onoff<?php echo $clon; ?> ipmtube-btn-on" type="button"><?php _e( 'On', IPMTUBE_SLUG ); ?></button>
                <button data-value="false" class="ipmtube-btn-onoff<?php echo $cloff; ?> ipmtube-btn-off" type="button"><?php _e( 'Off', IPMTUBE_SLUG ); ?></button>
              </div>
              <input type="hidden" class="ipmtube-onoff-value" name="top_close" value="<?php echo $val; ?>" />
          </div>

          <div class="ipmtube-help">
            <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
            <div class="ipmtube-help-content ipmtube-hide">
              <?php _e( 'Set this option to on if you want show the close button.', IPMTUBE_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipmtube-field -->
      </div>
      <!-- end: .ipmtube-field-row -->

      <?php
      $this->view( 'manage/main/top-content/title' );
      $this->view( 'manage/main/top-content/subtitle' );
      $this->view( 'manage/main/top-content/info' );
      $this->view( 'manage/main/top-content/button' );
      ?>

    </div>
    <!-- end: .ipmtube-fields -->

  </div>
</div>
