<h2 class="ipmtube-field-title mb20 py10"><?php _e( 'Popup Design', IPMTUBE_SLUG ); ?></h2>

<?php
/*
 * Width
 */
?>
<!-- start: .ipmtube-field-row -->
<div class="ipmtube-field-row ipmtube-field-x">
  <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
    <label for="input-popup-width"><?php _e( 'Width', IPMTUBE_SLUG ); ?></label>
  </div>

  <!-- start: .ipmtube-field -->
  <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

    <?php
    $width = $this->setting->getSetting( 'popup_width' );
    ?>
    <div class="ipmtube-input-group mr5">
        <input type="text" id="input-popup-width" class="ipmtube-input ipmtube-input-xs" name="popup_width" value="<?php echo $width; ?>">
        <div class="ipmtube-input-addon">px</div>
    </div>

    <div class="ipmtube-help">
      <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
      <div class="ipmtube-help-content ipmtube-hide">
        <?php _e( 'Width of the popup content.', IPMTUBE_SLUG ); ?>
      </div>
    </div>
  </div>
  <!-- end: .ipmtube-field -->
</div>
<!-- end: .ipmtube-field-row -->

<?php
/*
 * Height
 */
?>
<!-- start: .ipmtube-field-row -->
<div class="ipmtube-field-row ipmtube-field-x">
  <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
    <label for="input-popup-height"><?php _e( 'Height', IPMTUBE_SLUG ); ?></label>
  </div>

  <!-- start: .ipmtube-field -->
  <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

    <?php
    $height = $this->setting->getSetting( 'height' );
    ?>
    <div class="ipmtube-input-group mr5">
        <input type="text" id="input-popup-height" class="ipmtube-input ipmtube-input-xs" name="popup_height" value="<?php echo $height; ?>">
        <div class="ipmtube-input-addon">px</div>
    </div>

    <div class="ipmtube-help">
      <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
      <div class="ipmtube-help-content ipmtube-hide">
        <?php _e( 'Height the popup content.', IPMTUBE_SLUG ); ?>
      </div>
    </div>
  </div>
  <!-- end: .ipmtube-field -->
</div>
<!-- end: .ipmtube-field-row -->

<?php
//Font Family
?>
<!-- start: .ipmtube-field-row -->
<div class="ipmtube-field-row ipmtube-field-x">
    <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-popup-font-family"><?php _e( 'Font Family', IPMTUBE_SLUG ); ?></label>
    </div>
    <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

        <?php
        $current = $this->setting->getSetting( 'popup_font_family', 'roboto' );
        $fonts   = IPMTube_Font::getOptions();
        $fname   = IPMTube_Font::getFontName( $current );
        ?>
        <span class="ipmtube-font-family">
            <div class="ipmtube-menu ipmtube-fancy-option">
                <div class="ipmtube-selected">
                    <div class="ipmtube-selected-box">
                        <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                    </div>
                    <span class="toggle"></span>
                </div>
                <div class="ipmtube-select" style="display: none;">
                    <div class="ipmtube-select-content">
                        <ul class="clearfix">
                            <?php
                            foreach( $fonts as $fkey => $label ) :
                            ?>
                                <li data-select="<?php echo $fkey; ?>">
                                    <strong class="ipmtube-select-label">
                                        <?php echo $label; ?>
                                    </strong>
                                </li>
                            <?php
                            endforeach;
                            ?>
                        </ul>
                    </div>
                </div>
                <input type="hidden" name="popup_font_family" class="ipmtube-input-select" value="<?php echo $current; ?>" />
            </div>
        </span>

        <div class="ipmtube-help">
            <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
            <div class="ipmtube-help-content ipmtube-hide">
                <?php _e( 'The font family of the info.', IPMTUBE_SLUG ); ?>
            </div>
        </div>
    </div>
</div>
<!-- end: .ipmtube-field-row -->

<?php
/*
 * Text Color
 */
?>
<!-- start: .ipmtube-field-row -->
<div class="ipmtube-field-row ipmtube-field-x">
  <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
    <label for="input-popup-text-color"><?php _e( 'Text Color', IPMTUBE_SLUG ); ?></label>
  </div>

  <!-- start: .ipmtube-field -->
  <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

    <?php
    $color = stripslashes( $this->setting->getSetting( 'popup_text_color', '#333333' ) );
    ?>
    <input type="text" class="ipmtube-color-picker" id="input-popup-text-color" name="popup_text_color" value="<?php echo $color; ?>" />


    <div class="ipmtube-help">
      <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
      <div class="ipmtube-help-content ipmtube-hide">
        <?php _e( 'Text color of the content in popup.', IPMTUBE_SLUG ); ?>
      </div>
    </div>
  </div>
  <!-- end: .ipmtube-field -->
</div>
<!-- end: .ipmtube-field-row -->


<?php
/*
 * Background Color
 */
?>
<!-- start: .ipmtube-field-row -->
<div class="ipmtube-field-row ipmtube-field-x">
  <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
    <label for="input-popup-background-color"><?php _e( 'Background Color', IPMTUBE_SLUG ); ?></label>
  </div>

  <!-- start: .ipmtube-field -->
  <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

    <?php
    $color = stripslashes( $this->setting->getSetting( 'popup_background_color', '#ffffff' ) );
    ?>
    <input type="text" class="ipmtube-color-picker" id="input-popup-background-color" name="popup_background_color" value="<?php echo $color; ?>" />


    <div class="ipmtube-help">
      <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
      <div class="ipmtube-help-content ipmtube-hide">
        <?php _e( 'Background color of the popup content.', IPMTUBE_SLUG ); ?>
      </div>
    </div>
  </div>
  <!-- end: .ipmtube-field -->
</div>
<!-- end: .ipmtube-field-row -->

<?php
/*
 * Background Image
 */
?>
<!-- start: .ipmtube-field-row -->
<div class="ipmtube-field-row ipmtube-field-x ipmtube-help-abs">
  <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
    <label for="input-popup-background-image"><?php _e( 'Background Image', IPMTUBE_SLUG ); ?></label>
  </div>

  <!-- start: .ipmtube-field -->
  <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

    <div class="ipmtube-upload-image ipmtube-clear">
        <div class="ipmtube-upload-preview">
            <?php
              $setimg = false;
              if ( $attach_id = $this->setting->getSetting( 'popup_background_image' ) ) {
                  $setimg = true;
                  $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
              }
              if ( $setimg ) {
                  echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                  echo '<div class="none ipmtube-hide">' . __( 'No image', IPMTUBE_SLUG ) . '</div>';
                  $reset_dsp = '';
              } else {
                  echo '<div class="image"></div>';
                  echo '<div class="none">' . __( 'No image', IPMTUBE_SLUG ) . '</div>';
                  $reset_dsp = ' style="display:none;"';
              }
            ?>
        </div>

        <div class="ipmtube-image-field">
            <div class="ipmtube-select-image">
                <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', IPMTUBE_SLUG ); ?></p>
                <a class="ipmtube-btn ipmtube-btn-secondary ipmtube-btn-media ipmtube-btn-sm" data-choose="<?php esc_attr_e( 'Choose Photo', IPMTUBE_SLUG ); ?>"
                  data-update="<?php esc_attr_e( 'Choose photo', IPMTUBE_SLUG ); ?>">
                    <i class="ipmtube-fa ipmtube-fa-image"></i>
                    <?php _e( 'Select Photo', IPMTUBE_SLUG ); ?>
                </a>
                <a class="ipmtube-btn ipmtube-btn-reset ipmtube-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                    <i class="ipmtube-fa ipmtube-fa-ban"></i>
                    <?php _e( 'Clear Photo', IPMTUBE_SLUG ); ?>
                </a>
            </div>
            <input type="hidden" name="upload_type" class="ipmtube-upload-type" value="background_image" />
            <input type="hidden" name="popup_background_image" class="ipmtube-image-id" value="<?php echo $attach_id; ?>" />
        </div>
    </div>

    <div class="ipmtube-help">
      <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
      <div class="ipmtube-help-content ipmtube-hide">
        <?php _e( 'Background image of the popup content.', IPMTUBE_SLUG ); ?>
      </div>
    </div>
  </div>
  <!-- end: .ipmtube-field -->
</div>
<!-- end: .ipmtube-field-row -->

<?php
//Background repeat
?>
<!-- start: .ipmtube-field-row -->
<div class="ipmtube-field-row ipmtube-field-x">
    <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-popup-background-repeat"><?php _e( 'Background Repeat', IPMTUBE_SLUG ); ?></label>
    </div>
    <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

        <select name="popup_background_repeat" id="input-popup-background-repeat">
        <?php
        $current = stripslashes( $this->setting->getSetting( 'popup_background_repeat', 'repeat' ));
        $repeats = array(
            'no-repeat' => __( 'No Repeat', IPMTUBE_SLUG ),
            'repeat'    => __( 'Repeat All', IPMTUBE_SLUG ),
            'repeat-x'  => __( 'Repeat Horizontally', IPMTUBE_SLUG ),
            'repeat-y'  => __( 'Repeat Vertically', IPMTUBE_SLUG )
        );
        foreach( $repeats as $key => $label ) {
            $sltd = '';
            if ( $key == $current ) {
                $sltd = ' selected="selected"';
            }
            echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
        }
        ?>
        </select>

        <div class="ipmtube-help">
          <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
            <div class="ipmtube-help-content ipmtube-hide">
            <?php _e( 'The repeat method of the background image.', IPMTUBE_SLUG ); ?>
          </div>
      </div>
    </div>
</div>
<!-- end: .ipmtube-field-row -->

<?php
/*
 * Border
 */
?>
<!-- start: .ipmtube-field-row -->
<div class="ipmtube-field-row ipmtube-field-x">
  <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
    <label for="input-popup-border-width"><?php _e( 'Border', IPMTUBE_SLUG ); ?></label>
  </div>

  <!-- start: .ipmtube-field -->
  <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">
    <?php
    $bowidth = $this->setting->getSetting( 'popup_border_width', 0 );
    $bocolor = stripslashes( $this->setting->getSetting( 'popup_border_color', '#222222' ));
    ?>
    <div class="ipmtube-input-group mr5">
      <input type="text" id="input-popup-border-width" class="ipmtube-input ipmtube-input-xxs" name="popup_border_width" value="<?php echo $bowidth; ?>">
      <div class="ipmtube-input-addon">px</div>
    </div>
    <input type="text" class="ipmtube-color-picker" id="input-popup-border-color" name="popup_border_color" value="<?php echo $bocolor; ?>" />

    <div class="ipmtube-help">
      <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
      <div class="ipmtube-help-content ipmtube-hide">
        <?php _e( 'Set border in arround the popup.', IPMTUBE_SLUG ); ?>
      </div>
    </div>
  </div>
  <!-- end: .ipmtube-field -->
</div>
<!-- end: .ipmtube-field-row -->

<?php
//Border radius
?>
<!-- start: .ipmtube-field-row -->
<div class="ipmtube-field-row ipmtube-field-x">
    <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-popup-border-radius"><?php _e( 'Border Radius', IPMTUBE_SLUG ); ?></label>
    </div>
    <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

        <select name="popup_border_radius" id="input-popup-border-radius">
        <?php
        $current = stripslashes( $this->setting->getSetting( 'popup_border_radius', 'none' ));
        $styles  = array(
            'none' => __( 'None', IPMTUBE_SLUG ),
            'sm'   => __( 'Small', IPMTUBE_SLUG ),
            'md'   => __( 'Medium', IPMTUBE_SLUG ),
            'lg'   => __( 'Large', IPMTUBE_SLUG )
        );
        foreach( $styles as $key => $label ) {
            $sltd = '';
            if ( $key == $current ) {
                $sltd = ' selected="selected"';
            }
            echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
        }
        ?>
        </select>

        <div class="ipmtube-help">
          <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
            <div class="ipmtube-help-content ipmtube-hide">
            <?php _e( 'The border radius of the popup.', IPMTUBE_SLUG ); ?>
          </div>
      </div>
    </div>
</div>
<!-- end: .ipmtube-field-row -->

<?php
//Button Style
?>
<div class="ipmtube-field-row ipmtube-field-x">
    <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-popup-button_style"><?php _e( 'Button Style', IPMTUBE_SLUG ); ?></label>
    </div>
    <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

        <select name="popup_button_style" id="input-popup-button_style">
            <?php
            $current = stripslashes( $this->setting->getSetting( 'popup_button_style', 'flat' ));
            $styles  = array(
                'flat'     => __( 'Flat', IPMTUBE_SLUG ),
                'gradient' => __( 'Gradient', IPMTUBE_SLUG ),
                'rounded'  => __( 'Rounded', IPMTUBE_SLUG )
            );
            foreach( $styles as $skey => $label ) {
                $sltd = '';
                if ( $skey == $current ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
            }
            ?>
        </select>

        <div class="ipmtube-help">
            <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
            <div class="ipmtube-help-content ipmtube-hide">
                <?php _e( 'The style of the popup button.', IPMTUBE_SLUG ); ?>
            </div>
        </div>
    </div>
</div>

<?php
//Button Color
?>
<div class="ipmtube-field-row ipmtube-field-x">
    <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-popup-button_color"><?php _e( 'Button Color', IPMTUBE_SLUG ); ?></label>
    </div>
    <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

        <select name="popup_button_color" id="input-popup-button_color">
            <?php
            $current = stripslashes( $this->setting->getSetting( 'popup_button_color', 'clean' ));
            $colors  = array(
                    'clean'    => __( 'Clean', IPMTUBE_SLUG ),
                    'dark'     => __( 'Dark', IPMTUBE_SLUG ),
                    'red'      => __( 'Red', IPMTUBE_SLUG ),
                    'blue'     => __( 'Blue', IPMTUBE_SLUG ),
                    'green'    => __( 'Green', IPMTUBE_SLUG ),
                    'orange'   => __( 'Orange', IPMTUBE_SLUG ),
                    'gold'     => __( 'Gold', IPMTUBE_SLUG ),
                    'aqua'     => __( 'Aqua', IPMTUBE_SLUG ),
                    'purple'   => __( 'Purple', IPMTUBE_SLUG ),
                    'lime'     => __( 'Lime', IPMTUBE_SLUG )
            );
            foreach( $colors as $skey => $label ) {
                $sltd = '';
                if ( $skey == $current ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
            }
            ?>
        </select>

        <div class="ipmtube-help">
            <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
            <div class="ipmtube-help-content ipmtube-hide">
                <?php _e( 'The color of the popup button.', IPMTUBE_SLUG ); ?>
            </div>
        </div>
    </div>
</div>

<?php
//Button Size
?>
<div class="ipmtube-field-row ipmtube-field-x">
    <div class="ipmtube-form-label col-lg-3 col-md-4 col-sm-12">
        <label for="input-popup-button_size"><?php _e( 'Button Size', IPMTUBE_SLUG ); ?></label>
    </div>
    <div class="ipmtube-field col-lg-9 col-md-8 col-sm-12">

        <select name="popup_button_size" id="input-popup-button_size">
            <?php
            $current = stripslashes( $this->setting->getSetting( 'popup_button_size', 'md' ));
            $sizes   = array(
                    'xs'  => __( 'Extra Small', IPMTUBE_SLUG ),
                    'sm'  => __( 'Small', IPMTUBE_SLUG ),
                    'md'  => __( 'Medium', IPMTUBE_SLUG ),
                    'lg'  => __( 'Large', IPMTUBE_SLUG )
            );
            foreach( $sizes as $skey => $label ) {
                $sltd = '';
                if ( $skey == $current ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
            }
            ?>
        </select>

        <div class="ipmtube-help">
            <a class="ipmtube-btn-help ipmtube-btn ipmtube-btn-default" href="#"><i class="ipmtube-fa ipmtube-fa-question"></i></a>
            <div class="ipmtube-help-content ipmtube-hide">
                <?php _e( 'The size of the popup button.', IPMTUBE_SLUG ); ?>
            </div>
        </div>
    </div>
</div>
